## org.eclipse.datatools.enablement.ase
Interface ISybaseASECatalogProxyTable

All Superinterfaces:
  ISybaseASECatalogTable

All Known Subinterfaces:
  ISybaseASECatalogWebServiceTable

All Known Implementing Classes:
  SybaseASECatalogProxyTable, SybaseASECatalogWebServiceTable

    public interface ISybaseASECatalogProxyTable

extends ISybaseASECatalogTable

Author:
  Hao wang

Method Summary
`java.lang.String` `getExternalPathSuper()`
`ProxyTableExternalType` `getExternalTypeSuper()`
`java.lang.String` `getFileDelimiterSuper()`
`boolean` `isExistingSuper()`

Methods inherited from interface org.eclipse.datatools.enablement.ase.ISybaseASECatalogTable

`getColumnsSuper, getConcurrencyOptThresholdSuper, getConstraintsSuper, getExpRowSizeSuper, getFillFactorSuper, getIdentityGapSuper, getIndexSuper, getLockPromotionSuper, getLockSchemaSuper, getMaxRowPerPageSuper, getPartitionConditionSuper, getPartitionsSuper, getPrivilegesSuper, getReservePageGapSuper, getSegmentSuper, getTableLoader, getTableOnlyCacheInfoSuper, getTextImageSegmentSuper, getTextOnlyCacheInfoSuper, getTriggersSuper`

Method Detail

### getFileDelimiterSuper

    java.lang.String getFileDelimiterSuper()

### getExternalPathSuper

    java.lang.String getExternalPathSuper()

### getExternalTypeSuper

    ProxyTableExternalType getExternalTypeSuper()

### isExistingSuper

    boolean isExistingSuper()